<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		a, a:hover {
			background: transparent;
			border-bottom: 1px dotted #666;
			color: #666;
			text-decoration: none;		
		}

		a:hover {
			border: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>URL Utility</h1>

		<p>This utility file contains functions to help with working with URLs.  You can load this utility using
		the following piece of code.</p>

		<div class="example">
			$this->load->utility('url');
		</div>
	</div>

	<div class="content">
		<h1>site_url()</h1>

		<p>This function returns the site URL as specified in your config file.  The index.php file will be
		added to the URL, as will any URI segments you pass to the function.</p>

		<div class="example">
			echo site_url('blog/post/1');
		</div>

		<p>The above example would return something like the following.</p>

		<div class="example">
			www.your-domain.com/index.php/blog/post/1
		</div>

		<p>You can also pass the segments as an array.</p>

		<div class="example">
			$segments = array('blog', 'post', '1');<br />
			<br />
			echo site_url($segments);
		</div>
	</div>

	<div class="content">
		<h1>base_url()</h1>

		<p>This function returns the site base URL as specified in the configuration file.</p>
	</div>

	<div class="content">
		<h1>index_page()</h1>

		<p>This function returns the site index page as specified in your configuration file.</p>
	</div>

	<div class="content">
		<h1>anchor()</h1>

		<p>This function creates a standard HTML anchor link based on your site URL.</p>

		<p>The first parameter can contain any segments you wish to append to the URL.  As with the <b>site_url()</b>
		function above, segments can be a string, or an array.  The second segment is the text you would like the
		link to say.  If you leave it blank, the URL will be used.  The third parameter can contain a list of
		attributes you would like added to the link.</p>

		<div class="example">
			echo anchor('news/local/1', 'Local News');
		</div>

		<div class="example">
			echo anchor('news/local/1', 'Local News', array('title' => 'Local News'));
		</div>
	</div>

	<div class="content">
		<h1>anchor_popup()</h1>

		<p>This function is nearly identical to the <b>anchor()</b> function except that it opens the URL in a new
		window.  You can specify the JavaScript window attributes in the third parameter to control how the window
		is opened.</p>

		<div class="example">
			$attr = array(<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'width' => '800',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'height' => '600',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'scrollbars' => 'yes',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'status' => 'yes',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'resizable' => 'yes',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'screenx' => '0',<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'screeny' => '0'<br />
			);<br />
			<br />
			echo anchor_popup('news/local/1', 'Local News', $attr);
		</div>

		<p>If you wish to use the function default you only need to pass an empty array to the third parameter.</p>
	</div>

	<div class="content">
		<h1>mailto()</h1>

		<p>This function creates a standard HTML email link.</p>

		<div class="example">
			echo mailto('email@domain.com', 'Contact Us');
		</div>

		<p>You can passed attributes using the third parameter like the <b>anchor()</b> function.</p>
	</div>

	<div class="content">
		<h1>safe_mailto()</h1>

		<p>This function is identical to the <b>mailto()</b> function except it writes an obfuscated version of
		the mailto tag with ordinal numbers written with JavaScript.</p>		
	</div>

	<div class="content">
		<h1>auto_link()</h1>

		<p>This function automatically turns URLs and email addresses contained in a string into links.</p>

		<div class="example">
			$string = auto_link($string);
		</div>

		<p>The second parameter determines whether URLs and emails are converted or just one or the other.</p>

		<p>Converting only URLs.</p>

		<div class="example">
			$string = auto_link($string, 'url');
		</div>

		<p>Converting only emails.</p>

		<div class="example">
			$string = auto_link($string, 'email');
		</div>

		<p>The third parameter determines whether links are shown in a new window.</p>

		<div class="example">
			$string = auto_link($string, 'both', true);
		</div>
	</div>

	<div class="content">
		<h1>url_title()</h1>

		<p>This function takes a string as input and creates a human friendly URL string.</p>

		<div class="example">
			$title = "What's Wrong With HTML";<br />
			<br />
			$url_title = url_title($title);<br />
			<br />
			// This produces: whats-wrong-with-html
		</div>
	
		<p>The second parameter determines the character for the word delimeter.  The options are <b>dash</b> or
		<b>underscore</b>.</p>

		<div class="example">
			$title = "What's Wrong With HTML";<br />
			<br />
			$url_title = url_title($title, 'underscore');<br />
			<br />
			// This produces: whats_wrong_with_html
		</div>
	</div>

	<div class="content">
		<h1>prep_url()</h1>

		<p>This function will add <b>http://</b> in the event that it is missing from a URL.</p>

		<div class="example">
			$url = "www.your-domain.com";<br />
			<br />
			$url = prep_url($url);
		</div>
	</div>

	<div class="content">
		<h1>redirect()</h1>

		<p>This function does a header redirect to the local URI specified.  Just like other function in this
		utility, this one is designed to use a local URL.  You do not specify the full site URL.  The second parameter
		allows you to choose between the 'location' method or the 'refresh' method.</p>

		<div class="example">
			if (!$logged_in)<br />
			&#123;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;redirect('login/form', 'refresh');<br />
			&#125;
		</div>

		<p>In order for this function to work correctly it must be used before any output is sent to the browser.</p>
	</div>
</body>

</html>
